aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitignore1
-rwxr-xr-xmacosx-setup.sh7
2 files changed, 4 insertions, 4 deletions
diff --git a/.gitignore b/.gitignore
index 7f694d2c9d..35363e6b39 100644
--- a/.gitignore
+++ b/.gitignore
@@ -201,6 +201,7 @@ ui/qt/config.pri
.DS_Store
cscope.*
tags
+macosx-support-libs
packaging/macosx/COPYING.txt
packaging/macosx/Info.plist
packaging/macosx/osx-dmg.sh
diff --git a/macosx-setup.sh b/macosx-setup.sh
index 293809e839..23b79c7715 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -111,9 +111,8 @@ LIBGPG_ERROR_VERSION=1.10
#
LIBGCRYPT_VERSION=1.5.0
GNUTLS_VERSION=2.12.19
-# Stay with Lua 5.1 when updating until the code has been changed
-# to support 5.2
-LUA_VERSION=5.1.5
+# Default to 5.2 now, unless user overrides it later
+LUA_VERSION=5.2.3
PORTAUDIO_VERSION=pa_stable_v19_20111121
#
# XXX - they appear to have an unversioned gzipped tarball for the
@@ -1181,7 +1180,7 @@ fi
if [ "$LIBSMI_VERSION" -a ! -f libsmi-$LIBSMI_VERSION-done ] ; then
echo "Downloading, building, and installing libsmi:"
- [ -f libsmi-$LIBSMI_VERSION.tar.gz ] || curl -L -O ftp://ftp.ibr.cs.tu-bs.de/pub/local/libsmi/libsmi-$LIBSMI_VERSION.tar.gz || exit 1
+ [ -f libsmi-$LIBSMI_VERSION.tar.gz ] || curl -L -O https://www.ibr.cs.tu-bs.de/projects/libsmi/download/libsmi-$LIBSMI_VERSION.tar.gz || exit 1
gzcat libsmi-$LIBSMI_VERSION.tar.gz | tar xf - || exit 1
cd libsmi-$LIBSMI_VERSION
CFLAGS="$CFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" LDFLAGS="$LDFLAGS $VERSION_MIN_FLAGS $SDKFLAGS" ./configure || exit 1